Subject: Re: Win2000, XEmacs 21.4.10, MH-E, cygwin 1.3.17-1
From: Peter Davis <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 3 Jan 2003 16:38:43 -0500

On Fri, Jan 03, 2003 at 03:34:20PM -0500, Igor Pechtchanski wrote:
> On Fri, 3 Jan 2003, Peter Davis wrote:
> 
> > On Fri, Jan 03, 2003 at 01:29:04PM -0500, Peter Davis wrote:
> > > On Sat, Jan 04, 2003 at 02:14:04AM +0900, Stephen J. Turnbull wrote:
> > > > >>>>> "Peter" == Peter Davis <[email-masked]> writes:
> > > >
> > > >     >> The procedure entry point _ctype_ could not be located in the
> > > >     >> dynamic link library cygwin1.dll
> > > >
> > > >     Peter> So why is XEmacs even *looking* in cygwin1.dll, since it's
> > > >     Peter> the win32 installation?
> > > >
> > > > I doubt XEmacs is looking in cygwin1.dll.  Most likely it's the MH
> > > > binaries.
> > >
> > > Hmmm.  That's even *more* puzzling, since I'm running the identical
> > > binaries on both machines. I have not succeeded in building nmh on
> > > Cygwin myself.
> >
> > Ok, my mistake.  It *is* the nmh binaries.  I just noticed that the
> > message windows that pop up have titles like
> >
> > folder.exe
> > folders.exe
> > inc.exe
> > mark.exe
> > scan.exe
> >
> > However, the raw nmh commands run in the Cygwin bash shell with no
> > problems.  It's just running them from XEmacs that seems to cause the
> > problem.
> 
> Peter,
> 
> Do you have c:\cygwin\bin (or whatever directory is mounted as your /bin)
> in your path when you run XEmacs?

I tried adding this to my exec-path, but it made no difference.
Actually, for MH-E, I explicitly added these paths:

(setq exec-path (cons "c:/cygwin/bin" exec-path))
(setq mh-progs "c:/cygwin/usr/local/nmh/bin/")
(setq mh-lib "c:/cygwin/usr/local/nmh/lib/")
(setq mh-lib-progs "c:/cygwin/usr/local/nmh/lib/")

Apparently XEmacs can find the nmh executables ok, but the executables
can't find the cygwin1.dll.  

> Try running "cygcheck -s -v -r" from a
> command shell inside XEmacs and post the output to the list *as an
> uncompressed attachment*.

When I open a shell in XEmacs, it's a DOS shell, not a Cygwin Bash
one.  So there's not much useful information there.

> P.S. This is likely a cygwin problem, so you might wish to remove
> the other two lists from this discussion and only post the final
> solution there.

I think this is still somewhat open ended.  The issue seems to be how
to get the right context in XEmacs so the Cygwin executables work, as
they do when run in the Bash shell.  One puzzling aspect of this is
that the setup here is very similar to the one I have at home, but
this works at home.

Thanks to all respondants for your help!

-pd

-- 
--------
                             Peter Davis
               Funny stuff at http://www.pfdstudio.com
                 The artwork formerly shown as prints
    List of resources for children's writers and illustrators at:
                  http://www.pfdstudio.com/cwrl.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/